"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Setting = exports.Hint = exports.Quit = exports.Copy = exports.APP = exports.PC = exports.Location = exports.Mine = exports.Query = exports.Update = exports.Added = exports.Reset = exports.Addition = exports.Clear = exports.LookDetails = exports.Delete = exports.LookOver = exports.FulScreen = exports.More = exports.Export = exports.Import = exports.False = exports.True = exports.Error = exports.Correct = exports.RealStars = exports.EmptyStars = exports.SolidHeart = exports.HollowHeart = exports.StepOn = exports.StepUp = exports.ThumbsOn = exports.ThumbsUp = exports.Down = exports.Cross = exports.Alarm = exports.MinAdd = exports.Date = exports.Bottom = exports.Top = exports.Right = exports.Left = exports.CheckboxUp = exports.CheckboxOn = exports.RadioUp = exports.RadioOn = exports.DestroyOperate = exports.CancelOperate = exports.EditOperate = exports.RejectedOperate = exports.CompletedOperate = exports.CancelStatus = exports.CompletedStatus = exports.RejectedStatus = exports.ActiveStatus = undefined;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var setStuSty = function setStuSty(type, props) {

    var sty = {
        width: props.width || "1.875rem",
        height: props.height || "1.875rem",
        display: "flex",
        justifyContent: "center",
        alignItems: "center",
        borderRadius: "100%",
        fontWeight: "500",
        fontSize: props.fontSize || "1.2rem"
    };
    switch (type) {
        case "Active":
            sty.color = "#EBB40E";
            sty.border = "#EBB40E solid 0.08rem";
            break;
        case "Rejected":
            sty.color = "#F70707";
            sty.border = "#F70707 solid 0.08rem";
            break;
        case "Completed":
            sty.color = "#059A05";
            sty.border = "#059A05 solid 0.08rem";
            break;
        case "Cancel":
            sty.color = "#AAA9A9";
            sty.border = "#AAA9A9 solid 0.08rem";
            break;
    }
    return sty;
}; /**
    * gufuyan
    * svg合集
    * @date 2017-05-11 2.0版本
    * @param props
    * @constructor
    */


var setOrtSty = function setOrtSty(type, props) {
    var sty = {
        width: props.width || "3.2rem",
        height: props.height || "1.875rem",
        display: "flex",
        justifyContent: "center",
        alignItems: "center",
        borderRadius: "0.2rem",
        fontWeight: "500",
        fontSize: props.fontSize || "1.2rem",
        cursor: "pointer"
    };
    switch (type) {
        case "Completed":
            sty.color = "#059A05";
            sty.border = "#059A05 solid 0.08rem";
            break;
        case "Rejected":
            sty.color = "#F70707";
            sty.border = "#F70707 solid 0.08rem";
            break;
        case "Edit":
            sty.color = "#3388FF";
            sty.border = "#3388FF solid 0.08rem";
            break;
        case "Cancel":
            sty.color = "#AAA9A9";
            sty.border = "#AAA9A9 solid 0.08rem";
            break;
        case "Destroy":
            sty.color = "#E77817";
            sty.border = "#E77817 solid 0.08rem";
            break;
    }
    return sty;
};

var svgSty = {
    cursor: "pointer"
};

//bpm状态
var ActiveStatus = function ActiveStatus(props) {
    return _react2.default.createElement(
        "span",
        { style: setStuSty('Active', props) },
        "\u5BA1"
    );
};
var RejectedStatus = function RejectedStatus(props) {
    return _react2.default.createElement(
        "span",
        { style: setStuSty('Rejected', props) },
        "\u9A73"
    );
};
var CompletedStatus = function CompletedStatus(props) {
    return _react2.default.createElement(
        "span",
        { style: setStuSty('Completed', props) },
        "\u5B8C"
    );
};
var CancelStatus = function CancelStatus(props) {
    return _react2.default.createElement(
        "span",
        { style: setStuSty('Cancel', props) },
        "\u64A4"
    );
};

//bpm操作
var CompletedOperate = function CompletedOperate(props) {
    return _react2.default.createElement(
        "span",
        { style: setOrtSty('Completed', props) },
        "\u901A\u8FC7"
    );
};
var RejectedOperate = function RejectedOperate(props) {
    return _react2.default.createElement(
        "span",
        { style: setOrtSty('Rejected', props) },
        "\u9A73\u56DE"
    );
};
var EditOperate = function EditOperate(props) {
    return _react2.default.createElement(
        "span",
        { style: setOrtSty('Edit', props) },
        "\u7F16\u8F91"
    );
};
var CancelOperate = function CancelOperate(props) {
    return _react2.default.createElement(
        "span",
        { style: setOrtSty('Cancel', props) },
        "\u64A4\u56DE"
    );
};
var DestroyOperate = function DestroyOperate(props) {
    return _react2.default.createElement(
        "span",
        { style: setOrtSty('Destroy', props) },
        "\u9500\u5047"
    );
};

var propTypes = {
    width: _react.PropTypes.string,
    height: _react.PropTypes.string,
    fill: _react.PropTypes.string,
    style: _react.PropTypes.object
};

/*单选按钮选中组件*/
var RadioOn = function RadioOn(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M512 512m-292.571429 0a4 4 0 1 0 585.142857 0 4 4 0 1 0-585.142857 0ZM512 1024c-285.257143 0-512-226.742857-512-512 0-285.257143 226.742857-512 512-512s512 226.742857 512 512C1024 797.257143 797.257143 1024 512 1024zM512 73.142857C270.628571 73.142857 73.142857 270.628571 73.142857 512c0 241.371429 197.485714 438.857143 438.857143 438.857143s438.857143-197.485714 438.857143-438.857143C920.857143 270.628571 753.371429 73.142857 512 73.142857z" })
    );
};
RadioOn.propTypes = propTypes;

/*单选按钮没选中组件*/
var RadioUp = function RadioUp(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M511.979643 1024C229.668164 1024 0 794.291122 0 511.979643S229.668164 0 511.979643 0s512.020357 229.668164 512.020357 511.979643S794.291122 1024 511.979643 1024zM511.979643 56.999722C261.099439 56.999722 56.999722 261.099439 56.999722 511.979643c0 250.920918 204.099718 454.979921 454.979921 454.979921 250.920918 0 454.979921-204.099718 454.979921-454.979921C966.959564 261.099439 762.900561 56.999722 511.979643 56.999722z" })
    );
};
RadioUp.propTypes = propTypes;

/*多选按钮选中组件*/
var CheckboxOn = function CheckboxOn(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M742.822063 65.938782 281.177937 65.938782c-118.381178 0-215.239156 96.857978-215.239156 215.239156l0 461.644125c0 118.381178 96.857978 215.239156 215.239156 215.239156l461.644125 0c118.381178 0 215.239156-96.857978 215.239156-215.239156l0-461.644125C958.061218 162.79676 861.20324 65.938782 742.822063 65.938782zM415.550321 791.240819l-2.176572-2.176572-2.179642 2.176572L125.688607 505.7169l75.67247-75.723635L413.373749 642.004913l409.236522-409.246755 75.701123 75.721589L415.550321 791.240819z" })
    );
};
CheckboxOn.propTypes = propTypes;

/*多选按钮没选中组件*/
var CheckboxUp = function CheckboxUp(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M727 167c34.5 0 67.1 13.6 91.8 38.2 24.7 24.7 38.2 57.2 38.2 91.8v430c0 34.5-13.6 67.1-38.2 91.8-24.7 24.6-57.3 38.2-91.8 38.2H297c-34.5 0-67.1-13.6-91.8-38.2-24.6-24.7-38.2-57.3-38.2-91.8V297c0-34.5 13.6-67.1 38.2-91.8 24.7-24.7 57.2-38.2 91.8-38.2h430m0-70H297C187 97 97 187 97 297v430c0 110 90 200 200 200h430c110 0 200-90 200-200V297c0-110-90-200-200-200z" })
    );
};
CheckboxUp.propTypes = propTypes;
/*日期*/
var Date = function Date(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M858.075 943.471H164.77c-54.7 0-99.044-44.344-99.044-99.044V250.166c0-54.7 44.344-99.044 99.044-99.044h148.565v-49.52c0-13.675 11.085-24.761 24.761-24.761 13.675 0 24.761 11.085 24.761 24.761v49.521h297.131v-49.521c0-13.675 11.085-24.761 24.761-24.761 13.675 0 24.761 11.085 24.761 24.761v49.521h148.565c54.702 0 99.044 44.344 99.044 99.044v594.261c0 54.699-44.342 99.043-99.044 99.043z m49.521-693.305c0-27.351-22.171-49.521-49.521-49.521H709.509v49.521c0 13.675-11.085 24.761-24.761 24.761-13.675 0-24.761-11.085-24.761-24.761v-49.521h-297.13v49.521c0 13.675-11.085 24.761-24.761 24.761-13.675 0-24.761-11.085-24.761-24.761v-49.521H164.77c-27.351 0-49.521 22.171-49.521 49.521v99.044h792.347v-99.044z m0 148.566H115.249v445.695c0 27.351 22.171 49.521 49.521 49.521h693.305c27.351 0 49.521-22.171 49.521-49.521V398.732zM709.509 745.384h-49.521c-13.675 0-24.761-11.085-24.761-24.761s11.085-24.761 24.761-24.761h49.521c13.675 0 24.761 11.085 24.761 24.761s-11.085 24.761-24.761 24.761z m0-148.565h-49.521c-13.675 0-24.761-11.085-24.761-24.761s11.085-24.761 24.761-24.761h49.521c13.675 0 24.761 11.085 24.761 24.761 0 13.675-11.085 24.761-24.761 24.761zM536.183 745.384h-49.521c-13.675 0-24.761-11.085-24.761-24.761s11.085-24.761 24.761-24.761h49.521c13.675 0 24.761 11.085 24.761 24.761s-11.085 24.761-24.761 24.761z m0-148.565h-49.521c-13.675 0-24.761-11.085-24.761-24.761s11.085-24.761 24.761-24.761h49.521c13.675 0 24.761 11.085 24.761 24.761 0.001 13.675-11.085 24.761-24.761 24.761zM338.096 745.384h-49.521c-13.675 0-24.761-11.085-24.761-24.761s11.085-24.761 24.761-24.761h49.521c13.675 0 24.761 11.085 24.761 24.761s-11.085 24.761-24.761 24.761z m0-148.565h-49.521c-13.675 0-24.761-11.085-24.761-24.761s11.085-24.761 24.761-24.761h49.521c13.675 0 24.761 11.085 24.761 24.761 0 13.675-11.085 24.761-24.761 24.761z" })
    );
};
Date.propTypes = propTypes;

//向左
var Left = function Left(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M481.233 904c8.189 0 16.379-3.124 22.628-9.372 12.496-12.497 12.496-32.759 0-45.256L166.488 512l337.373-337.373c12.496-12.497 12.496-32.758 0-45.255-12.498-12.497-32.758-12.497-45.256 0l-360 360c-12.496 12.497-12.496 32.758 0 45.255l360 360c6.249 6.249 14.439 9.373 22.628 9.373z" })
    );
};
Left.propTypes = propTypes;
//向右
var Right = function Right(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M557.179 904c-8.189 0-16.379-3.124-22.628-9.372-12.496-12.497-12.496-32.759 0-45.256L871.924 512 534.551 174.627c-12.496-12.497-12.496-32.758 0-45.255 12.498-12.497 32.758-12.497 45.256 0l360 360c12.496 12.497 12.496 32.758 0 45.255l-360 360c-6.249 6.249-14.439 9.373-22.628 9.373z" })
    );
};
Right.propTypes = propTypes;
//向上
var Top = function Top(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M904 692c0 8.189-3.124 16.379-9.372 22.628-12.497 12.496-32.759 12.496-45.256 0L512 377.255 174.628 714.628c-12.497 12.496-32.758 12.496-45.255 0-12.497-12.498-12.497-32.758 0-45.256l360-360c12.497-12.496 32.758-12.496 45.255 0l360 360C900.876 675.621 904 683.811 904 692z" })
    );
};
Top.propTypes = propTypes;
//向下
var Bottom = function Bottom(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M904 332c0-8.189-3.124-16.379-9.372-22.628-12.497-12.496-32.759-12.496-45.256 0L512 646.745 174.628 309.372c-12.497-12.496-32.758-12.496-45.255 0-12.497 12.498-12.497 32.758 0 45.256l360 360c12.497 12.496 32.758 12.496 45.255 0l360-360C900.876 348.379 904 340.189 904 332z" })
    );
};
Bottom.propTypes = propTypes;
/*详情*/
var More = function More(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M510.401596 93.470835c56.539714 0 111.341854 11.053754 162.883741 32.854269 49.827849 21.076014 94.595448 51.265594 133.060505 89.730651 38.465057 38.465057 68.654636 83.23368 89.730651 133.061528 21.800515 51.541887 32.854269 106.344027 32.854269 162.883741s-11.053754 111.341854-32.854269 162.883741c-21.076014 49.827849-51.264571 94.595448-89.729627 133.061528-38.465057 38.465057-83.23368 68.654636-133.061528 89.729627-51.54291 21.800515-106.34505 32.854269-162.883741 32.854269s-111.341854-11.053754-162.883741-32.854269c-49.827849-21.076014-94.596472-51.264571-133.061528-89.730651-38.465057-38.465057-68.654636-83.23368-89.730651-133.060505-21.800515-51.54291-32.854269-106.34505-32.854269-162.883741s11.053754-111.341854 32.854269-162.883741c21.076014-49.827849 51.265594-94.596472 89.730651-133.061528s83.23368-68.654636 133.061528-89.730651C399.060765 104.524588 453.862905 93.470835 510.401596 93.470835M510.401596 6.489808c-279.18556 0-505.510192 226.324632-505.510192 505.510192 0 279.18556 226.324632 505.510192 505.510192 505.510192 279.18556 0 505.510192-226.324632 505.510192-505.510192C1015.912811 232.81444 789.588179 6.489808 510.401596 6.489808L510.401596 6.489808zM305.109999 512m-64.954361 0a63.475 63.475 0 1 0 129.908722 0 63.475 63.475 0 1 0-129.908722 0ZM510.401596 512m-64.954361 0a63.475 63.475 0 1 0 129.908722 0 63.475 63.475 0 1 0-129.908722 0ZM715.693192 512m-64.954361 0a63.475 63.475 0 1 0 129.908722 0 63.475 63.475 0 1 0-129.908722 0Z" })
    );
};
More.propTypes = propTypes;

/*空心*/
var HollowHeart = function HollowHeart(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M511.301082 862.823134l-31.807427-24.410969c-187.147354-144.984069-300.323996-232.270041-364.6787-346.18551C67.473741 408.639934 54.898331 325.792041 77.8296 253.300007c19.23304-60.656475 63.614853-109.47739 124.271328-137.586588 31.067576-14.054087 65.094554-21.451568 100.601232-21.451568 85.067444 0 165.695786 42.163285 208.598922 107.99769 43.642986-65.834404 124.271328-107.99769 209.338772-107.99769 35.506678 0 69.532633 7.397481 100.601232 21.451568 60.656475 28.109198 105.039311 76.930113 124.271328 137.586588 23.671119 72.492034 10.355859 155.339928-36.985356 238.927671-64.354704 113.915469-178.271196 201.941292-366.158401 346.925361L511.301082 862.823134zM302.70216 127.548978c-31.067576 0-59.916625 5.91778-86.546122 18.49319-51.780317 24.410969-90.245374 65.834404-106.519012 117.614721-20.711717 62.876026-8.876158 136.846738 34.026978 212.297151 61.396325 107.99769 172.353416 194.544835 357.281219 336.569502l11.095709 8.876158 10.355859-8.136308c184.927803-142.764518 295.884894-228.571812 357.281219-336.569502 42.903136-75.450413 54.738695-148.682297 34.026978-212.297151-17.013489-51.780317-54.738695-93.203752-106.519012-117.614721-26.629497-12.57541-56.218396-18.49319-86.546122-18.49319-83.587744 0-161.257707 46.602388-193.804984 116.13502l-15.533788 31.807427-15.533788-32.547277C463.959867 174.150342 386.289903 127.548978 302.70216 127.548978z" })
    );
};
HollowHeart.propTypes = propTypes;
/*实心*/
var SolidHeart = function SolidHeart(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M700.856275 155.542542c-74.768891 0-144.295384 72.696696-190.046381 127.260405C465.073224 228.226958 395.563104 155.542542 320.754305 155.542542c-134.789892 0-244.443291 105.780185-244.443291 235.799424 0 77.56968 39.277562 131.98808 70.844511 175.712931 91.752704 126.998439 322.464249 285.038872 332.234777 291.701618 9.410324 6.414083 20.424168 9.629311 31.401174 9.629311 11.005658 0 21.998013-3.215228 31.397081-9.629311 9.782807-6.662747 240.514819-164.703179 332.23887-291.701618 31.586392-43.723827 70.873164-98.143251 70.873164-175.712931C945.299567 261.321704 835.645145 155.542542 700.856275 155.542542L700.856275 155.542542zM700.856275 155.542542" })
    );
};
SolidHeart.propTypes = propTypes;
/*空星*/
var EmptyStars = function EmptyStars(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M959.008 406.016l-308-47.008L512 64 372.992 359.008l-308 47.008 223.008 228-52.992 324L512 805.024l276.992 152.992-52.992-324zM512 740L304 856.992l40-235.008-179.008-182.016 242.016-32 104.992-224 104 224 240.992 34.016L680 622.976l36.992 235.008z" })
    );
};
EmptyStars.propTypes = propTypes;
/*实星*/
var RealStars = function RealStars(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M958.733019 411.348626 659.258367 353.59527 511.998465 85.535095 364.741633 353.59527 65.265958 411.348626 273.72878 634.744555 235.88794 938.463881 511.998465 808.479435 788.091594 938.463881 750.250754 634.744555Z" })
    );
};
RealStars.propTypes = propTypes;
/*赞为选中*/
var ThumbsUp = function ThumbsUp(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M907.636364 418.909091H605.090909c95.418182-90.763636 165.236364-418.909091-20.945454-418.909091-141.963636 0-114.036364 134.981818-158.254546 221.090909-39.563636 76.8-102.4 125.672727-144.290909 151.272727-27.927273 16.290909-46.545455 34.909091-46.545455 67.490909v488.727273c0 51.2 44.218182 93.090909 95.418182 93.090909h481.745455c44.218182 0 81.454545-39.563636 90.763636-81.454545 32.581818-141.963636 67.490909-293.236364 100.072727-430.545455 11.636364-53.527273-34.909091-90.763636-95.418181-90.763636z m46.545454 93.090909c-41.890909 176.872727-97.745455 421.236364-97.745454 421.236364-4.654545 23.272727-27.927273 44.218182-46.545455 44.218181H328.145455c-25.6 0-48.872727-20.945455-48.872728-46.545454V442.181818c0-16.290909 11.636364-20.945455 25.6-27.927273 48.872727-30.254545 118.690909-83.781818 162.909091-169.890909 16.290909-30.254545 23.272727-62.836364 30.254546-95.418181 16.290909-76.8 25.6-102.4 86.109091-102.4 30.254545 0 46.545455 11.636364 55.854545 37.236363 30.254545 76.8-20.945455 244.363636-79.127273 300.218182-13.963636 13.963636-18.618182 32.581818-11.636363 51.2 6.981818 16.290909 32.581818 30.254545 55.854545 30.254545h302.545455c16.290909 0 30.254545 2.327273 39.563636 13.963637 4.654545 6.981818 9.309091 16.290909 6.981818 32.581818zM151.272727 397.963636H69.818182c-25.6 0-46.545455 20.945455-46.545455 46.545455V977.454545c0 25.6 20.945455 46.545455 46.545455 46.545455h81.454545c25.6 0 34.909091-20.945455 34.909091-46.545455V442.181818c0-25.6-9.309091-44.218182-34.909091-44.218182zM139.636364 977.454545H69.818182V442.181818h69.818182v535.272727z" })
    );
};
ThumbsUp.propTypes = propTypes;
/*赞选中*/
var ThumbsOn = function ThumbsOn(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M151.272727 397.963636H69.818182c-25.6 0-46.545455 20.945455-46.545455 46.545455V977.454545c0 25.6 20.945455 46.545455 46.545455 46.545455h81.454545c25.6 0 34.909091-20.945455 34.909091-46.545455V442.181818c0-25.6-9.309091-44.218182-34.909091-44.218182zM907.636364 418.909091H605.090909c95.418182-90.763636 165.236364-418.909091-20.945454-418.909091-141.963636 0-114.036364 134.981818-158.254546 221.090909-39.563636 76.8-102.4 125.672727-144.290909 151.272727-27.927273 16.290909-46.545455 34.909091-46.545455 67.490909v488.727273c0 51.2 44.218182 93.090909 95.418182 93.090909h481.745455c44.218182 0 81.454545-39.563636 90.763636-81.454545 32.581818-141.963636 67.490909-293.236364 100.072727-430.545455 11.636364-53.527273-34.909091-90.763636-95.418181-90.763636z" })
    );
};
ThumbsOn.propTypes = propTypes;
/*踩为选中*/
var StepUp = function StepUp(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M943.582971 429.391561l-0.207731-0.63138L820.552913 97.92017c-4.630461-15.817244-14.048971-29.413913-27.253714-39.33589-13.32447-9.983375-29.137621-15.257495-45.732577-15.257495L117.315404 43.326784c-23.462365 0-42.548048 19.086707-42.548048 42.549072l0 483.965503c0 23.462365 19.085684 42.549072 42.548048 42.549072l194.065927 0c62.158688 43.083238 206.193129 157.920706 206.193129 296.435433l0 0.635473 0.091074 0.63138c0.232291 1.642406 0.261966 4.40124 0.293689 7.320733 0.113587 10.379395 0.283456 26.062586 9.155521 39.417755 10.508331 15.821337 30.237675 23.844058 58.640562 23.844058l0.685615 0 0.679475-0.106424c1.856277-0.281409 45.846164-7.528464 77.226872-57.577347 18.675338-29.783327 28.881794-68.473511 30.333866-114.991987 1.702782-54.591339-8.720615-120.352065-30.992875-195.609073l142.413524 0c21.714558 0 43.48335-5.030573 62.954821-14.548344 20.418029-9.981329 37.735439-24.317848 51.470255-42.61354 13.739932-18.301831 22.686698-38.923498 26.593681-61.297065C950.849468 472.572012 949.626617 450.250634 943.582971 429.391561zM117.315404 80.164784l157.475568 0 0 495.386624L117.315404 575.551408c-3.094478 0-5.709025-2.614547-5.709025-5.710049L111.606379 85.874833C111.606379 82.779332 114.219903 80.164784 117.315404 80.164784zM910.830009 487.59517c-2.89698 16.590863-9.547447 31.907711-19.763113 45.51666-10.204409 13.592576-23.050995 24.233937-38.185694 31.632441-14.464433 7.068999-30.639834 10.80509-46.77942 10.80509l-142.413524 0c-11.620665 0-22.560832 5.483898-29.515221 14.793938-6.955412 9.312086-9.106402 21.357424-5.811356 32.500205 21.151739 71.473845 31.075763 133.381823 29.496801 184.006827-1.246387 39.902802-9.56382 72.39482-24.722054 96.570429-19.017122 30.327726-43.339064 38.587853-50.161447 40.374546-12.82305-0.345877-22.349007-3.093455-25.175379-7.349385-2.837628-4.273327-2.933819-13.032828-3.00545-19.428491-0.036839-3.388167-0.071631-6.607488-0.388856-9.845229-1.091868-155.196665-155.512866-278.951223-222.040049-325.0614-6.095835-4.225231-13.32447-6.502088-20.738323-6.551206L311.626925 80.164784l435.936627 0c8.676613 0 16.618493 2.64934 23.607674 7.873318 6.889921 5.180999 11.609409 11.988032 14.023388 20.231787 0.242524 0.831948 0.517793 1.656733 0.819668 2.470261l122.441657 329.821821C912.725172 455.801047 913.545864 472.040916 910.830009 487.59517z" })
    );
};
StepUp.propTypes = propTypes;
/*踩选中*/
var StepOn = function StepOn(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M274.789948 612.390431 117.315404 612.390431c-23.462365 0-42.548048-19.086707-42.548048-42.548048L74.767356 85.874833c0-23.462365 19.085684-42.549072 42.548048-42.549072l157.475568 0L274.790972 612.390431z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M947.12054 493.932506c-3.90596 22.372543-12.855796 42.996257-26.593681 61.296041-13.734816 18.296715-31.052227 32.633235-51.470255 42.61354-19.47147 9.517771-41.24231 14.548344-62.954821 14.548344l-142.413524 0c22.272259 75.258031 32.695656 141.019781 30.992875 195.609073-1.452071 46.5195-11.658528 85.209684-30.333866 114.993011-31.380708 50.04479-75.368548 57.291844-77.226872 57.577347l-0.679475 0.105401-0.685615 0c-28.402887 0-48.13223-8.022721-58.640562-23.843034-8.872065-13.355169-9.041934-29.03836-9.155521-39.417755-0.031722-2.920516-0.062422-5.680373-0.293689-7.320733l-0.091074-0.63138 0-0.63752c0-138.332579-143.653771-253.04725-205.944466-296.261471L311.629995 43.325761 747.566622 43.325761c16.597003 0 32.408107 5.27412 45.732577 15.257495 13.20372 9.921977 22.621207 23.518646 27.253714 39.33589l122.82028 330.84001 0.207731 0.63138C949.626617 450.250634 950.849468 472.573035 947.12054 493.932506z" })
    );
};
StepOn.propTypes = propTypes;
/*正确*/
var Correct = function Correct(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M876.096 149.76c-200.064-199.68-525.888-199.68-726.016 0-200.128 199.68-200.128 524.8 0 724.544 200.064 199.68 525.888 199.68 726.016 0C1076.16 674.56 1076.16 349.44 876.096 149.76zM822.976 822.976c-171.776 171.392-449.792 171.392-621.504 0-171.776-171.392-171.776-448.832 0-620.224 171.776-171.392 449.792-171.392 621.504 0C994.688 374.144 994.688 651.584 822.976 822.976zM674.24 345.856l-237.312 236.8-83.2-83.072c-17.728-17.664-47.808-17.664-65.536 0-17.728 17.664-17.728 47.68 0 65.344l111.744 111.488c1.216 1.664 1.856 3.648 3.392 5.12 17.728 17.664 47.808 17.664 65.536 0l270.912-270.336c17.728-17.664 17.728-47.68 0-65.408C722.048 328.192 691.904 328.192 674.24 345.856z" })
    );
};
Correct.propTypes = propTypes;
/*错误*/
var Error = function Error(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M512 1012.64C235.952 1012.64 11.344 788.048 11.344 511.968 11.344 235.936 235.952 11.344 512 11.344c276.064 0 500.64 224.576 500.64 500.624C1012.64 788.048 788.064 1012.64 512 1012.64z m0-929.76c-236.624 0-429.12 192.496-429.12 429.104C82.88 748.624 275.392 941.12 512 941.12s429.12-192.496 429.12-429.136C941.12 275.376 748.608 82.88 512 82.88z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M719.824 356.224L374.24 702.144a34.88 34.88 0 1 1-49.328-49.344l345.584-345.584a34.864 34.864 0 0 1 49.328 0 34.448 34.448 0 0 1 0 49.008z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M670.464 702.144l-345.584-345.92a34.864 34.864 0 1 1 49.328-49.328l345.584 345.6c13.648 13.6 13.648 35.664 0 49.312a35.2 35.2 0 0 1-49.328 0.336z" })
    );
};
Error.propTypes = propTypes;
/*勾勾*/
var True = function True(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M987.066368 147.156992c-16.758784-15.192064-42.661888-13.924352-57.856 2.832384L351.60064 787.07712 93.444096 528.277504c-15.976448-16.011264-41.910272-16.04608-57.925632-0.07168-16.01536 15.976448-16.048128 41.91232-0.07168 57.92768l288.571392 289.288192a40.94976 40.94976 0 0 0 59.342848-1.415168l606.53568-668.993536c15.198208-16.756736 13.9264-42.65984-2.830336-57.856z" })
    );
};
Correct.propTypes = propTypes;

/*叉叉*/
var False = function False(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M500.512 468.288l313.76-313.76c13.312-13.28 34.944-13.248 48.32 0.128 13.472 13.472 13.44 35.008 0.128 48.32l-313.76 313.76 313.824 313.824c13.312 13.312 13.344 34.848-0.128 48.32-13.376 13.376-35.008 13.408-48.32 0.128l-313.824-313.824-313.824 313.824c-13.28 13.312-34.944 13.248-48.32-0.128-13.472-13.472-13.44-35.008-0.128-48.32l313.824-313.824-313.76-313.76c-13.312-13.312-13.344-34.848 0.128-48.32 13.376-13.376 35.008-13.408 48.32-0.128l313.76 313.76z" })
    );
};
Correct.propTypes = propTypes;

// 导入
var Import = function Import(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M479.936 981.248a41.344 41.344 0 0 0-41.344-41.344h-337.92V84.096h337.92a41.408 41.408 0 0 0 0-82.688H96.064a78.08 78.08 0 0 0-78.08 78.016v865.088c0 43.136 35.008 78.144 78.08 78.144h342.592c22.784 0 41.28-18.56 41.28-41.408z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M303.168 502.016c-7.04 5.504-7.04 14.4 0 19.904L576 735.616a20.864 20.864 0 0 0 12.736 4.224V621.888h386.816a30.272 30.272 0 0 0 30.464-30.272V432.32a30.4 30.4 0 0 0-30.464-30.336H588.736V284.096A21.12 21.12 0 0 0 576 288.192L303.168 502.016z" })
    );
};
Import.propTypes = propTypes;

// 导出
var Export = function Export(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M479.936 981.248a41.344 41.344 0 0 0-41.344-41.344h-337.92V84.096h337.92a41.408 41.408 0 0 0 0-82.688H96.064a78.08 78.08 0 0 0-78.08 78.016v865.088c0 43.136 35.008 78.144 78.08 78.144h342.592c22.784 0 41.28-18.56 41.28-41.408z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M1000.768 521.92c6.976-5.504 6.976-14.4 0-19.904l-272.896-213.696a20.864 20.864 0 0 0-12.736-4.224v118.016H328.32a30.272 30.272 0 0 0-30.464 30.272v159.36c0 16.704 13.568 30.336 30.464 30.336h386.816v117.888a20.992 20.992 0 0 0 12.736-4.032l272.896-214.016z" })
    );
};
Export.propTypes = propTypes;

/*全屏*/
var FulScreen = function FulScreen(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M951.8 80.5c-6-6-14-9.3-22.5-9.3h-0.1l-288.1 1.1c-17.6 0.1-31.8 14.3-31.8 32 0.1 17.5 14.3 31.8 31.9 31.8h0.1l203.2-0.8-219.1 220.8c-12.4 12.4-12.3 32.7 0.2 45.1 6.2 6.2 14.3 9.3 22.4 9.3 8.2 0 16.4-3.2 22.6-9.5l226.9-228.6v206.1c0 17.6 14.2 31.9 31.9 31.9 17.6 0 31.9-14.2 31.9-31.9V103.1c-0.1-8.5-3.5-16.6-9.5-22.6zM79.3 79.2c6-6 14-9.3 22.5-9.3h0.1L390 71.1c17.6 0.1 31.8 14.4 31.8 32-0.1 17.5-14.3 31.8-31.9 31.8h-0.1l-203.3-0.9 219.2 220.8c12.4 12.4 12.3 32.7-0.2 45.1-6.2 6.2-14.3 9.3-22.4 9.3-8.2 0-16.4-3.2-22.6-9.5L133.6 171.1v206.1c0 17.6-14.2 31.9-31.9 31.9s-31.9-14.2-31.9-31.9V101.8c0.1-8.4 3.5-16.6 9.5-22.6z m872.5 873.2c-6 6-14 9.3-22.5 9.3h-0.1l-288.1-1.1c-17.6-0.1-31.8-14.4-31.8-32 0.1-17.5 14.3-31.8 31.9-31.8h0.1l203.2 0.8-219.1-220.7c-12.4-12.4-12.3-32.7 0.2-45.1 6.2-6.2 14.3-9.3 22.4-9.3 8.2 0 16.4 3.2 22.6 9.5l226.9 228.5V654.4c0-17.6 14.2-31.9 31.9-31.9 17.6 0 31.9 14.2 31.9 31.9v275.4c-0.1 8.5-3.5 16.6-9.5 22.6z m-873.5 0.3c6 6 14 9.3 22.5 9.3h0.1l288.1-1.1c17.6-0.1 31.8-14.4 31.8-32-0.1-17.5-14.3-31.8-31.9-31.8h-0.1l-203.2 0.8 219.2-220.8c12.4-12.4 12.3-32.7-0.2-45.1-6.2-6.2-14.3-9.3-22.4-9.3-8.2 0-16.4 3.2-22.6 9.5l-227 228.6V654.7c0-17.6-14.2-31.9-31.9-31.9S68.8 637 68.8 654.7v275.4c0.1 8.5 3.5 16.6 9.5 22.6z" })
    );
};
FulScreen.propTypes = propTypes;

/*查看*/
var LookOver = function LookOver(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M512.325632 244.698112c-245.825536 0-450.658304 289.71008-450.658304 289.71008S184.579072 824.117248 512.325632 824.117248 962.983936 534.408192 962.983936 534.408192 758.150144 244.698112 512.325632 244.698112zM512.325632 708.212736c-124.484608 0-225.329152-77.802496-225.329152-173.804544 0-96.00512 100.844544-173.83936 225.329152-173.83936 124.422144 0 225.329152 77.83424 225.329152 173.83936C737.654784 630.411264 636.747776 708.212736 512.325632 708.212736zM512.325632 418.536448c-62.242816 0-112.664576 51.868672-112.664576 115.871744 0 64.001024 50.422784 115.868672 112.664576 115.868672 62.240768 0 112.663552-51.867648 112.663552-115.868672C624.989184 470.40512 574.5664 418.536448 512.325632 418.536448z" })
    );
};
LookOver.propTypes = propTypes;

/*删除*/
var Delete = function Delete(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M920.771 271.295c0 10.452-8.129 18.58-18.58 18.58l-55.742 0 0 550.448c0 63.871-41.807 118.45-92.902 118.45L270.454 958.773c-51.097 0-92.903-52.258-92.903-116.128L177.551 289.875 121.81 289.875c-10.452 0-18.581-8.128-18.581-18.58l0-37.161c0-10.452 8.128-18.581 18.581-18.581l179.418 0 40.645-96.967c11.612-28.451 46.451-51.677 77.225-51.677l185.805 0c30.773 0 65.613 23.226 77.225 51.677l40.646 96.967 179.418 0c10.451 0 18.58 8.129 18.58 18.581L920.772 271.295zM772.127 289.875 251.873 289.875l0 550.448c0 27.87 15.678 44.128 18.581 44.128l483.093 0c2.902 0 18.58-16.258 18.58-44.128L772.127 289.875zM400.517 754.388c0 10.452-8.129 18.58-18.581 18.58l-37.161 0c-10.452 0-18.58-8.128-18.58-18.58L326.195 419.938c0-10.452 8.128-18.58 18.58-18.58l37.161 0c10.452 0 18.581 8.128 18.581 18.58L400.517 754.388zM642.063 215.553l-27.869-67.935c-1.742-2.323-6.969-5.807-9.869-6.387L420.259 141.231c-3.484 0.581-8.128 4.064-9.871 6.387l-28.451 67.935L642.063 215.553zM549.161 754.388c0 10.452-8.128 18.58-18.58 18.58l-37.162 0c-10.452 0-18.58-8.128-18.58-18.58L474.839 419.938c0-10.452 8.128-18.58 18.58-18.58l37.162 0c10.452 0 18.58 8.128 18.58 18.58L549.161 754.388zM697.805 754.388c0 10.452-8.129 18.58-18.58 18.58l-37.162 0c-10.449 0-18.578-8.128-18.578-18.58L623.485 419.938c0-10.452 8.129-18.58 18.578-18.58l37.162 0c10.451 0 18.58 8.128 18.58 18.58L697.805 754.388z" })
    );
};
Delete.propTypes = propTypes;

/*查看详情*/
var LookDetails = function LookDetails(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M822.824563 241.678109L631.379499 50.233044c-16.663262-16.663262-39.529635-26.880152-64.950232-27.001781L142.549947 21.771707C75.045492 23.352892 20.79867 77.721345 20.79867 145.225799v735.737736c0 68.112602 55.21986 123.210833 123.210832 123.210833H574.213565c-22.258225-16.784891-41.962228-36.124005-58.86875-57.774083l0.12163 0.12163H142.549947c-36.367265-0.12163-65.68001-29.556004-65.80164-65.801639V145.225799c0-36.245635 29.677634-65.801639 64.220454-65.801639 3.284 0 348.468939 0 437.258582 1.702815l6.568001 4.986815V212.851883c0 40.867561 33.204894 74.072455 74.072455 74.072455h128.319278l4.986815 4.986815v161.767431c19.825632 2.189334 39.043117 6.203112 57.652453 12.041335V306.74997c0-25.420596-10.33852-48.4086-27.001782-65.071861z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M234.745219 698.154175c-16.420002 0-31.258819 13.136002-31.258819 31.258819 0 16.420002 13.136002 31.258819 31.258819 31.25882h216.014254c0-0.729778-0.12163-1.337926-0.12163-2.067704 0-20.67704 2.067704-40.867561 6.081482-60.449935H234.745219zM757.631073 683.923506c-38.07008 0-66.531417 31.258819-66.531417 72.977789s28.582967 72.977788 66.531417 72.977788c38.07008 0 66.531417-31.258819 66.531417-72.977788 1.702815-40.016154-28.461337-72.977788-66.531417-72.977789z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M757.631073 574.456824c-110.926238 0-207.621808 76.505048-245.570258 184.268915 38.07008 107.763867 133.062834 184.268916 245.570258 184.268916S965.25288 864.786792 1003.20133 757.022924c-37.94845-106.182682-132.941204-182.5661-245.570257-182.5661z m0 305.898563c-61.787861 0-110.926238-53.881934-110.926239-121.629648s49.138377-121.629647 110.926239-121.629647c61.787861 0 110.926238 53.881934 110.926238 121.629647 1.702815 67.747714-47.435562 121.629647-110.926238 121.629648zM667.138615 390.431168c-1.702815-16.420002-14.838817-31.258819-32.961634-31.25882H234.745219c-16.420002 0-31.258819 13.136002-31.258819 31.25882 0 16.420002 13.136002 31.258819 31.258819 31.258819h401.134577c16.420002 0 31.258819-13.136002 31.258819-31.258819zM554.99608 528.602447H234.745219c-16.420002 0-31.258819 13.136002-31.258819 31.258819 0 18.122817 13.136002 31.258819 31.258819 31.25882h265.882409c0 0.12163 25.907115-40.989191 54.368452-62.517639z" })
    );
};
LookDetails.propTypes = propTypes;

/*清除*/
var Clear = function Clear(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M512.003528 64.00097c-247.446899 0-448.002558 200.575414-448.002558 448.002558 0 247.407388 200.555658 447.998324 448.002558 447.998324 247.421499 0 447.998324-200.589525 447.998324-447.998324C960.001852 264.576384 759.425027 64.00097 512.003528 64.00097zM564.77346 564.779105l0 0.022578-105.544098 0 0-0.022578L292.921384 564.779105l0-105.480598 438.158643 0 0 105.480598L564.77346 564.779105z" })
    );
};
Clear.propTypes = propTypes;

/*加*/
var Addition = function Addition(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M512.218 946.222c-238.786 0-432.366-194.925-432.366-435.391s193.58-435.381 432.366-435.381 432.348 194.915 432.348 435.381-193.563 435.391-432.348 435.391zM726.303 491.985c0-18.495-14.88-33.473-33.243-33.473h-133.046v-133.975c0-18.495-14.88-33.494-33.243-33.494h-33.261c-18.361 0-33.262 14.999-33.262 33.494v133.975h-133.028c-18.381 0-33.263 14.979-33.263 33.473v33.494c0 18.495 14.882 33.494 33.263 33.494h133.028v133.975c0 18.495 14.901 33.474 33.262 33.474h33.261c18.363 0 33.243-14.98 33.243-33.474v-133.975h133.046c18.363 0 33.243-14.999 33.243-33.494v-33.494z" })
    );
};
Addition.propTypes = propTypes;

// 重置
var Reset = function Reset(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M917.633 385.664l-181.99 0c-23.185 0-41.995-18.812-41.995-42s18.81-41.997 41.995-41.997l73.06 0c-65.895-93.125-174.305-153.992-297.047-153.992-201.02 0-363.979 162.962-363.979 363.982 0 201.022 162.96 363.982 363.979 363.982 201.017 0 363.982-162.96 363.982-363.982 0-23.187 18.81-41.997 41.995-41.997s41.995 18.81 41.995 41.997c0 247.392-200.58 447.976-447.971 447.976-247.419 0-447.974-200.584-447.974-447.976 0-247.417 200.555-447.976 447.974-447.976 150.132 0 282.772 74.02 363.982 187.435l0-75.44c0-23.185 18.81-41.997 41.995-41.997s41.995 18.812 41.995 41.997l0 167.99C959.628 366.852 940.818 385.664 917.633 385.664z" })
    );
};
Reset.propTypes = propTypes;

// 新增
var Added = function Added(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M927.958 443.22h-347.178v-347.178h-137.561v347.178h-347.177v137.559h347.177v347.178h137.561v-347.178h347.178z" })
    );
};
Added.propTypes = propTypes;

// 修改
var Update = function Update(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M382.4 822.2H210.8V650.7l5.6-5.6L745 116.5c47.3-47.3 124.2-47.3 171.5 0 22.8 22.8 35.4 53.3 35.4 85.8s-12.6 63-35.4 85.8L382.4 822.2z m-133.2-38.3h117.3l523-522.9c32.3-32.3 32.3-84.9 0-117.3-32.3-32.3-84.9-32.3-117.3 0l-522.9 523v117.2z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M836.7 344.1c-4.9 0-9.8-1.9-13.6-5.6L689.7 205c-7.5-7.5-7.5-19.6 0-27.1s19.6-7.5 27.1 0l133.5 133.5c7.5 7.5 7.5 19.6 0 27.1-3.8 3.7-8.7 5.6-13.6 5.6zM929.7 946.6H92.8c-10.6 0-19.2-8.6-19.2-19.2s8.6-19.2 19.2-19.2h836.9c10.6 0 19.2 8.6 19.2 19.2s-8.6 19.2-19.2 19.2z" })
    );
};
Update.propTypes = propTypes;

/*搜索*/
var Query = function Query(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M958.94784 844.148838L755.377254 635.771904c-1.993523-2.046566-4.538573-2.931814-6.753075-4.64681 42.663424-60.091597 67.949261-133.349069 67.949261-212.693196 0-203.34121-164.892058-368.282829-368.297882-368.282829-203.402752 0-368.297882 164.941619-368.297881 368.282829 0 203.397427 164.89513 368.281805 368.297881 368.281804 84.109005 0 161.353318-28.438733 223.326311-75.91086 1.106227 1.325158 1.547264 2.931814 2.710835 4.147507l203.568538 208.431104c11.06647 11.344384 25.788416 17.042125 40.506163 17.042125 14.274662 0 28.607693-5.36617 39.616921-16.15698C980.363366 902.467072 980.804506 866.558157 958.94784 844.148838zM136.640512 418.432c0-171.800781 139.829248-311.623373 311.63607-311.623373 171.86519 0 311.63607 139.823514 311.636071 311.623373 0 171.859149-139.770982 311.624397-311.636071 311.624397C276.46976 730.056294 136.640512 590.291149 136.640512 418.432z" })
    );
};
Query.propTypes = propTypes;

/*我的*/
var Mine = function Mine(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M512 39.358216c-260.927454 0-472.450321 211.522867-472.450321 472.453934S251.072546 984.262471 512 984.262471s472.450321-211.522867 472.450321-472.450321S772.927454 39.358216 512 39.358216zM512 941.429027c-237.269174 0-429.613265-192.344091-429.613265-429.613265 0-237.272786 192.344091-429.616877 429.613265-429.616877s429.62049 192.344091 429.62049 429.616877C941.62049 749.081324 749.269174 941.429027 512 941.429027z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M792.39523 862.470557c-0.090313-0.924801-0.191463-1.845989-0.292613-2.767177-0.0289-1.997714-0.2601-3.937628-0.67915-5.816129-13.098935-102.988838-80.414309-189.045876-172.450039-228.64613 53.183264-36.439314 88.087265-97.613434 88.087265-166.944585 0-111.694969-90.554604-202.242348-202.235123-202.242348-111.694969 0-202.245961 90.547379-202.245961 202.242348 0 69.356438 34.929288 130.555846 88.141452 166.984322-91.027842 39.210104-157.862753 123.883553-171.929838 225.416553-1.029563 2.962252-1.593114 6.134029-1.593114 9.446694l0.209525 2.207239c0 0.039738-0.003613 0.075863-0.007225 0.1156l0.021675 0 0.032513 0.3468c0 15.927524 12.911084 28.834996 28.831384 28.834996 15.927524 0 28.834996-12.907472 28.834996-28.834996l-0.0289-0.3468 0.523813 0c13.43851-110.127143 104.394101-196.310619 216.638171-202.339886 4.157991 0.256488 8.352106 0.397375 12.575122 0.397375 4.226628 0 8.420744-0.140888 12.578734-0.400988 112.27297 6.025654 203.239399 92.205518 216.670684 202.343498l0.585225 0 0.032513 0.3468c0 15.927524 12.914697 28.834996 28.834996 28.834996s28.834996-12.907472 28.834996-28.834996l-0.032513-0.3468L792.39523 862.466944 792.39523 862.470557zM504.771382 602.807479c-79.778508 0-144.449531-64.674635-144.449531-144.449531 0-79.778508 64.66741-144.456756 144.449531-144.456756s144.449531 64.678247 144.449531 144.456756C649.220913 538.132844 584.549891 602.807479 504.771382 602.807479L504.771382 602.807479zM504.771382 602.807479" })
    );
};
Mine.propTypes = propTypes;

/*定位*/
var Location = function Location(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M511.998977 959.752744c0 0-335.814302-374.240473-335.814302-559.692209 0-185.447642 150.362566-335.814302 335.814302-335.814302 185.455829 0 335.816349 150.367683 335.816349 335.814302C847.815325 585.512271 511.998977 959.752744 511.998977 959.752744zM511.998977 273.257547c-70.02689 0-126.805034 56.779168-126.805034 126.805034 0 70.02996 56.778144 126.807081 126.805034 126.807081 70.028936 0 126.806057-56.777121 126.806057-126.807081C638.805034 330.036715 582.027913 273.257547 511.998977 273.257547z" })
    );
};
Location.propTypes = propTypes;

/*电脑*/
var PC = function PC(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M896 102.4l-819.2 0c-42.3424 0-76.8 34.4576-76.8 76.8l0 512c0 42.3424 34.4576 76.8 76.8 76.8l384 0 0 102.4-179.2 0c-14.1312 0-25.6 11.4688-25.6 25.6s11.4688 25.6 25.6 25.6l409.6 0c14.1312 0 25.6-11.4688 25.6-25.6s-11.4688-25.6-25.6-25.6l-179.2 0 0-102.4 384 0c42.3424 0 76.8-34.4576 76.8-76.8l0-512c0-42.3424-34.4576-76.8-76.8-76.8zM921.6 691.2c0 14.1312-11.4688 25.6-25.6 25.6l-819.2 0c-14.1312 0-25.6-11.4688-25.6-25.6l0-512c0-14.1312 11.4688-25.6 25.6-25.6l819.2 0c14.1312 0 25.6 11.4688 25.6 25.6l0 512z" })
    );
};
PC.propTypes = propTypes;
/*手机*/
var APP = function APP(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M512 884.053333c-40.96 0-75.093333-34.133333-75.093333-75.093333s34.133333-75.093333 75.093333-75.093333 75.093333 34.133333 75.093333 75.093333S552.96 884.053333 512 884.053333zM512 771.413333c-20.48 0-37.546667 17.066667-37.546667 37.546667s17.066667 37.546667 37.546667 37.546667c20.48 0 37.546667-17.066667 37.546667-37.546667S532.48 771.413333 512 771.413333z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M679.253333 993.28c-3.413333 0-6.826667 0-10.24-3.413333-40.96-23.893333-109.226667-23.893333-109.226667-23.893333l0 0L276.48 965.973333c-54.613333 0-98.986667-44.373333-98.986667-98.986667L177.493333 139.946667c0-54.613333 44.373333-98.986667 98.986667-98.986667l471.04 0c54.613333 0 98.986667 44.373333 98.986667 98.986667l0 727.04c0 54.613333-44.373333 98.986667-98.986667 98.986667-10.24 0-17.066667-6.826667-17.066667-17.066667s6.826667-17.066667 17.066667-17.066667c34.133333 0 61.44-27.306667 61.44-61.44L808.96 139.946667c0-34.133333-27.306667-61.44-61.44-61.44L276.48 78.506667c-34.133333 0-61.44 27.306667-61.44 61.44l0 727.04c0 34.133333 27.306667 61.44 61.44 61.44l283.306667 0c3.413333 0 78.506667 0 126.293333 30.72 10.24 6.826667 10.24 17.066667 6.826667 23.893333C692.906667 989.866667 686.08 993.28 679.253333 993.28z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M590.506667 150.186667l-153.6 0c-10.24 0-17.066667-6.826667-17.066667-17.066667s6.826667-17.066667 17.066667-17.066667l153.6 0c10.24 0 17.066667 6.826667 17.066667 17.066667C607.573333 139.946667 600.746667 150.186667 590.506667 150.186667z" })
    );
};
APP.propTypes = propTypes;

/*带框框的添加*/
var MinAdd = function MinAdd(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M856.3 128H167.7c-21.9 0-39.7 17.8-39.7 39.7v688.7c0 21.9 17.8 39.7 39.7 39.7h688.7c21.9 0 39.7-17.8 39.7-39.7V167.7c-0.1-21.9-17.9-39.7-39.8-39.7z m-10.9 717.4H178.6V178.6h666.8v666.8z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M356.4 537.3h130.3v130.3c0 14 11.3 25.3 25.3 25.3s25.3-11.3 25.3-25.3V537.3h130.3c14 0 25.3-11.3 25.3-25.3s-11.3-25.3-25.3-25.3H537.3V356.4c0-14-11.3-25.3-25.3-25.3s-25.3 11.3-25.3 25.3v130.3H356.4c-14 0-25.3 11.3-25.3 25.3s11.3 25.3 25.3 25.3z" })
    );
};
MinAdd.propTypes = propTypes;

/*带框框的添加*/
var Alarm = function Alarm(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M512.002558 64.24521c-247.292176 0-447.75786 200.464661-447.75786 447.756837 0 247.287059 200.464661 447.752744 447.75786 447.752744 247.286036 0 447.75172-200.464661 447.75172-447.752744C959.754279 264.710894 759.288594 64.24521 512.002558 64.24521zM512.010745 735.87586c-20.602224 0-37.319977-16.718777-37.319977-37.323047 0-20.597107 16.717753-37.319977 37.319977-37.319977 20.60427 0 37.297464 16.72287 37.297464 37.319977C549.308209 719.158107 532.613992 735.87586 512.010745 735.87586zM549.308209 567.969733c0 20.600177-16.693194 37.293371-37.297464 37.293371-20.602224 0-37.319977-16.693194-37.319977-37.293371L474.690768 325.420581c0-20.605294 16.717753-37.297464 37.319977-37.297464 20.60427 0 37.297464 16.693194 37.297464 37.297464L549.308209 567.969733z" })
    );
};
Alarm.propTypes = propTypes;

/*叉叉*/
var Cross = function Cross(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M590.514383 488.040949 952.888054 851.125263C981.253371 879.546168 981.11016 925.804176 952.546629 954.423734 923.783934 983.242895 877.825294 983.196523 849.450322 954.76589L487.076651 591.681576 124.70298 954.76589C96.337663 983.186795 50.170204 983.043365 21.606672 954.423734-7.156023 925.604646-7.109798 879.555896 21.265175 851.125263L383.638845 488.040949 21.265175 124.956635C-7.100143 96.53573-6.956932 50.277722 21.606672 21.658164 50.369368-7.160997 96.328008-7.114625 124.70298 21.316008L487.076651 384.400322 849.450322 21.316008C877.815566-7.104897 923.983025-6.961467 952.546629 21.658164 981.309325 50.477252 981.263026 96.526002 952.888054 124.956635L590.514383 488.040949 590.514383 488.040949Z" })
    );
};
Cross.propTypes = propTypes;

/*下拉*/
var Down = function Down(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M908.493 305.44c-5.705-5.735-13.603-9.284-22.331-9.284s-16.625 3.549-22.33 9.283l-349.648 349.648-349.647-349.647c-5.705-5.735-13.603-9.284-22.331-9.284s-16.625 3.549-22.33 9.283c-5.737 5.706-9.285 13.604-9.285 22.333 0 8.726 3.549 16.625 9.283 22.33l371.979 371.979c12.379 12.379 32.283 12.379 44.661 0l371.978-371.978c12.379-12.379 12.379-32.283 0-44.661z" })
    );
};
Down.propTypes = propTypes;

/*感叹号*/
var Hint = function Hint(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M512 959c246.854 0 447-200.146 447-447 0-246.854-200.146-447-447-447C265.146 65 65 265.146 65 512 65 758.854 265.146 959 512 959zM512 94.8c230.048 0 417.2 187.152 417.2 417.2S742.048 929.2 512 929.2 94.8 742.048 94.8 512 281.952 94.8 512 94.8z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M497.1 269.875l29.8 0 0 342.7-29.8 0 0-342.7Z" }),
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M512 701.975m-29.8 0a29.8 29.8 0 1 0 59.6 0 29.8 29.8 0 1 0-59.6 0Z" })
    );
};
Hint.propTypes = propTypes;

/*复制*/
var Copy = function Copy(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M739.555556 853.333333v-113.777777h113.777777a56.888889 56.888889 0 0 0 56.888889-56.888889V170.666667a56.888889 56.888889 0 0 0-56.888889-56.888889H455.111111a56.888889 56.888889 0 0 0-56.888889 56.888889H284.444444V113.777778a113.777778 113.777778 0 0 1 113.777778-113.777778h512a113.777778 113.777778 0 0 1 113.777778 113.777778v625.777778a113.777778 113.777778 0 0 1-113.777778 113.777777h-170.666666zM113.777778 170.666667h512a113.777778 113.777778 0 0 1 113.777778 113.777777v625.777778a113.777778 113.777778 0 0 1-113.777778 113.777778H113.777778a113.777778 113.777778 0 0 1-113.777778-113.777778V284.444444a113.777778 113.777778 0 0 1 113.777778-113.777777z m56.888889 113.777777a56.888889 56.888889 0 0 0-56.888889 56.888889v512a56.888889 56.888889 0 0 0 56.888889 56.888889h398.222222a56.888889 56.888889 0 0 0 56.888889-56.888889V341.333333a56.888889 56.888889 0 0 0-56.888889-56.888889H170.666667z m28.444444 113.777778h170.666667a28.444444 28.444444 0 1 1 0 56.888889h-170.666667a28.444444 28.444444 0 1 1 0-56.888889z m0 170.666667h284.444445a28.444444 28.444444 0 1 1 0 56.888889h-284.444445a28.444444 28.444444 0 1 1 0-56.888889z m0 170.666667h284.444445a28.444444 28.444444 0 1 1 0 56.888888h-284.444445a28.444444 28.444444 0 1 1 0-56.888888z" })
    );
};
Copy.propTypes = propTypes;

/*推出*/
var Quit = function Quit(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M195.2 195.2c12.8-12.8 32-12.8 44.8 0 12.8 12.8 12.8 32 0 44.8-73.6 70.4-115.2 169.6-115.2 272 0 211.2 172.8 384 384 384s384-172.8 384-384c0-108.8-44.8-211.2-124.8-281.6-12.8-12.8-12.8-32-3.2-44.8 12.8-12.8 32-12.8 44.8-3.2 92.8 83.2 144 201.6 144 329.6 0 246.4-201.6 448-448 448s-448-201.6-448-448c6.4-121.6 54.4-233.6 137.6-316.8z m316.8-131.2c19.2 0 32 12.8 32 32v384c0 19.2-12.8 32-32 32s-32-12.8-32-32v-384c0-19.2 12.8-32 32-32z" })
    );
};
Quit.propTypes = propTypes;

/*推出*/
var Setting = function Setting(props) {
    return _react2.default.createElement(
        "svg",
        { viewBox: "0 0 1024 1024", width: props.width || props.svgTheme.width, height: props.height || props.svgTheme.height,
            style: props.style || { svgSty: svgSty } },
        _react2.default.createElement("path", { fill: props.fill || props.svgTheme.fill,
            d: "M834.603419 956.481234c-28.690436 0.001023-56.695257-11.376095-77.19515-31.875988L547.818787 714.822358c-0.450255-0.449231-0.436952-0.396019-0.765433-0.802272-2.405793-2.443655-6.221702-4.738931-10.997472-2.26253-0.246617 0.127913-0.49528 0.249687-0.747014 0.36532-46.595224 21.562085-96.394421 32.495088-148.013055 32.495088-47.664579 0-93.912903-9.339716-137.461745-27.759227-42.053792-17.787108-79.817883-43.246967-112.243387-75.671447-32.425504-32.426527-57.885362-70.189595-75.67247-112.242364-18.419512-43.548842-27.759227-89.797166-27.759227-137.461745 0-34.233686 5.108345-68.423369 15.181771-101.617375 0.191358-0.630357 0.415462-1.25048 0.672312-1.857301 6.261611-14.797008 16.156982-19.971867 23.355941-21.707394 15.544021-3.752464 28.114314 5.92699 30.476105 7.90504 0.421602 0.353041 0.827855 0.724501 1.215688 1.113357l156.502403 156.506497c42.113143 42.11212 110.63475 42.111097 152.74687 0l14.932084-14.932084c42.113143-42.113143 42.113143-110.636796 0-152.74994L275.221272 110.122073c-2.995217-2.952238-16.23066-17.145495-12.616342-33.943067 1.248434-5.803169 5.612834-16.364713 20.808932-21.902846 0.297782-0.107447 0.596588-0.208754 0.899486-0.301875 33.685193-10.372232 68.334341-15.631002 102.981443-15.631002 47.664579 0 93.913926 9.338692 137.462768 27.758204 42.053792 17.787108 79.81686 43.24799 112.243387 75.673493 32.425504 32.426527 57.884338 70.190619 75.671447 112.24441 18.419512 43.548842 27.759227 89.798189 27.759227 137.463792 0 47.240931-9.277294 93.215008-27.574009 136.647193-0.413416 0.980327-0.909719 1.923816-1.483794 2.820232-3.445472 5.384637-3.813862 9.953699-1.227967 15.277962 2.122337 4.373611 5.500271 7.500834 5.531993 7.526417 0.430812 0.360204 0.845251 0.738827 1.242294 1.13587l205.101261 205.101261c24.787546 24.781406 36.160571 60.248176 30.423917 94.872764-1.687432 10.187013-11.313673 17.072841-21.50171 15.389502-10.187013-1.687432-17.076934-11.314697-15.389502-21.50171 3.76986-22.74912-3.696182-46.046732-19.97289-62.318324L690.99365 581.846788c-12.778024-11.129478-30.560016-38.879496-12.039197-69.567425 15.981996-38.420031 24.083511-79.051427 24.083511-120.79618 0-84.339874-32.844036-163.630754-92.479251-223.268016C550.922475 108.578927 471.632617 75.735915 387.29479 75.735915c-27.644617 0-55.31277 3.759627-82.392522 11.18576l150.780075 150.780075c27.463492 27.463492 42.587957 63.978127 42.587957 102.81669s-15.124466 75.352175-42.587957 102.81669l-14.932084 14.932084c-56.69321 56.692187-148.936077 56.691163-205.629287 0L83.412758 306.553884c-7.872295 27.833929-11.861142 56.373938-11.861142 84.929298 0 84.337827 32.843012 163.626661 92.480274 223.263923 59.636239 59.635215 138.926096 92.479251 223.263923 92.479251 46.034453 0 90.434685-9.717316 131.97887-28.884864 24.868387-12.609179 46.728254 0.959861 55.353702 10.410094l209.227232 209.41859c15.799848 15.799848 37.440727 23.179932 59.57177 20.366863 9.735735-3.145643 57.338916-17.845437 106.856703-21.383006 10.30367-0.728594 19.246343 7.017834 19.981077 17.317411 0.735757 10.299577-7.017834 19.246343-17.317411 19.981077-49.66105 3.545756-98.847286 19.930935-99.338473 20.09671-1.049912 0.353041-2.130524 0.61296-3.226484 0.773619C845.128123 956.099541 839.85298 956.481234 834.603419 956.481234z" })
    );
};
Setting.propTypes = propTypes;

exports.ActiveStatus = ActiveStatus;
exports.RejectedStatus = RejectedStatus;
exports.CompletedStatus = CompletedStatus;
exports.CancelStatus = CancelStatus;
exports.CompletedOperate = CompletedOperate;
exports.RejectedOperate = RejectedOperate;
exports.EditOperate = EditOperate;
exports.CancelOperate = CancelOperate;
exports.DestroyOperate = DestroyOperate;
exports.RadioOn = RadioOn;
exports.RadioUp = RadioUp;
exports.CheckboxOn = CheckboxOn;
exports.CheckboxUp = CheckboxUp;
exports.Left = Left;
exports.Right = Right;
exports.Top = Top;
exports.Bottom = Bottom;
exports.Date = Date;
exports.MinAdd = MinAdd;
exports.Alarm = Alarm;
exports.Cross = Cross;
exports.Down = Down;
exports.ThumbsUp = ThumbsUp;
exports.ThumbsOn = ThumbsOn;
exports.StepUp = StepUp;
exports.StepOn = StepOn;
exports.HollowHeart = HollowHeart;
exports.SolidHeart = SolidHeart;
exports.EmptyStars = EmptyStars;
exports.RealStars = RealStars;
exports.Correct = Correct;
exports.Error = Error;
exports.True = True;
exports.False = False;
exports.Import = Import;
exports.Export = Export;
exports.More = More;
exports.FulScreen = FulScreen;
exports.LookOver = LookOver;
exports.Delete = Delete;
exports.LookDetails = LookDetails;
exports.Clear = Clear;
exports.Addition = Addition;
exports.Reset = Reset;
exports.Added = Added;
exports.Update = Update;
exports.Query = Query;
exports.Mine = Mine;
exports.Location = Location;
exports.PC = PC;
exports.APP = APP;
exports.Copy = Copy;
exports.Quit = Quit;
exports.Hint = Hint;
exports.Setting = Setting;
//# sourceMappingURL=svg.js.map